

#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include<math.h>
#include"subs.h"
#include"dsyevc3.h"


// change the radius of the last particle 

int main(int argc, char* argv[]){
   
   char filename[30],ofilename[30];
//   strcpy(filename,"planetTidal.part");
   if (argc<3){ 
      printf(" args: filename ofilename \n");
   }
   strcpy(filename, argv[1]);
   strcpy(ofilename, argv[2]);
   float radius;
 ///   sscanf(argv[3],"%f",&radius);
   //              and rotate to body frame

   int np = findnp(filename); // get the number of particles
   printf("# np=%d\n",np);
   float tmax,dt;
   int nsnaps = getnsnaps(filename,np,&dt,&tmax); // get time info
   printf("# number of snaps = %d maxtime =%f dt =%.2f\n",nsnaps,tmax,dt);

   particle *snap_pos_init; snap_pos_init =new particle[np];  // snap storage
   particle *snap_pos_t; snap_pos_t =new particle[np];  // snap storage
   
// load initial snap shot
   int i_s=0; // first snapshot
   float time = readpossnap(filename,np, i_s, snap_pos_init); 
     // read in first snap

   char startheader[180];  // for storing header stuff
   char headerinfo[180];
   char endheader[180]; 
   char startdata[180]; 
   char enddata[180]; 
   char kch[3];
   FILE *fpi, *fpo;
   fpi = fopen(filename,"r"); // open files
   fpo = fopen(ofilename,"w");
// loop here for timesteps nsnaps here instead of 2
   int im2 = np-1;
   if (M2FIRST==1) im2 = 0;
   for(int i_snap=0; i_snap < nsnaps; i_snap ++){
   // load snap shot 
     time=readsinglet_pos(fpi,np, snap_pos_t,
        startheader, headerinfo, endheader, startdata, enddata, kch);

     // correct radius assuming that radius of body is 1 and mass is 1
     snap_pos_t[im2].r = pow(snap_pos_t[im2].m,0.3333333);
     // write out the snap 
     time=writesinglet_pos(fpo,np, snap_pos_t,
        startheader, headerinfo, endheader, startdata, enddata, kch);
     if (i_snap==0){
        printf("r2 = %.3f\n",snap_post_t[im2].r);
        printf("m2 = %.3f\n",snap_post_t[im2].m);
     }

   }
   fclose(fpo);  // close files
   fclose(fpi);  


// cleanup
   delete[] snap_pos_init;
   delete[] snap_pos_t;
}


